Index: src/UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.cpp
===================================================================
--- src/UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.cpp	(revision 92af1b793de96102c8be702763589db17d977682)
+++ src/UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.cpp	(revision 8b59ddd233f0c59db6375c4778cb46d1b338b803)
@@ -65,7 +65,5 @@
       "molecule",
       *this,
-      boost::bind(&QtObservedInstanceBoard::moleculecountsubjectKilled, this, _1)),
-  lastremovedatom((atomId_t)-1),
-  lastremovedmolecule((moleculeId_t)-1)
+      boost::bind(&QtObservedInstanceBoard::moleculecountsubjectKilled, this, _1))
 {
   qRegisterMetaType<QtObservedAtom::ptr>("QtObservedAtom::ptr");
@@ -74,7 +72,5 @@
   // be first (besides ObservedValues to know about new insertions)
   World::getInstance().signOn(this, World::AtomInserted, GlobalObservableInfo::PriorityLevel(int(-10)));
-  World::getInstance().signOn(this, World::AtomRemoved, GlobalObservableInfo::PriorityLevel(int(-10)));
   World::getInstance().signOn(this, World::MoleculeInserted, GlobalObservableInfo::PriorityLevel(int(-10)));
-  World::getInstance().signOn(this, World::MoleculeRemoved, GlobalObservableInfo::PriorityLevel(int(-10)));
   WorldSignedOn = true;
 }
@@ -84,7 +80,5 @@
   if (WorldSignedOn) {
     World::getInstance().signOff(this, World::AtomInserted);
-    World::getInstance().signOff(this, World::AtomRemoved);
     World::getInstance().signOff(this, World::MoleculeInserted);
-    World::getInstance().signOff(this, World::MoleculeRemoved);
   }
   // sign off from all remaining molecules and atoms
@@ -161,12 +155,4 @@
           ELOG(1, "QtObservedInstanceBoard got MoleculeInserted for unknown molecule id " << _id);
         }
-        break;
-      }
-      case World::MoleculeRemoved:
-      {
-        const moleculeId_t _id = const_cast<const World &>(World::getInstance()).lastChangedMolId();
-        LOG(3, "DEBUG: InformationBoard got MoleculeRemoved signal for molecule " << _id);
-        // note down such that ObservedValues are simply dropped
-        lastremovedmolecule = _id;
         break;
       }
@@ -195,12 +181,4 @@
         break;
       }
-      case World::AtomRemoved:
-      {
-        const atomId_t _id = const_cast<const World &>(World::getInstance()).lastChangedAtomId();
-        LOG(3, "DEBUG: InformationBoard got AtomRemoved signal for atom " << _id);
-        // note down such that ObservedValues are simply dropped
-        lastremovedatom = _id;
-        break;
-      }
       default:
         ASSERT(0, "QtObservedInstanceBoard::recieveNotification() - we cannot get here for World.");
@@ -259,20 +237,12 @@
 void QtObservedInstanceBoard::atomcountsubjectKilled(const atomId_t _atomid)
 {
-  if ((_atomid == lastremovedatom)) {
-    LOG(3, "DEBUG: InstanceBoard emits atomRemoved for " << _atomid);
-    emit atomRemoved(lastremovedatom);
-  } else
-    ELOG(2, "QtObservedInstanceBoard::atomcountsubjectKilled() - id " << _atomid
-        << " not fitting with " << lastremovedatom);
+  LOG(3, "DEBUG: InstanceBoard emits atomRemoved for " << _atomid);
+  emit atomRemoved(_atomid);
 }
 
 void QtObservedInstanceBoard::moleculecountsubjectKilled(const moleculeId_t _molid)
 {
-  if (lastremovedmolecule == _molid) {
-    LOG(3, "DEBUG: InstanceBoard emits moleculeRemoved for " << _molid);
-    emit moleculeRemoved(_molid);
-  } else
-    ELOG(2, "QtObservedInstanceBoard::moleculecountsubjectKilled() - id " << _molid
-        << " not fitting with " << lastremovedmolecule);
+  LOG(3, "DEBUG: InstanceBoard emits moleculeRemoved for " << _molid);
+  emit moleculeRemoved(_molid);
 }
 
Index: src/UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.hpp
===================================================================
--- src/UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.hpp	(revision 92af1b793de96102c8be702763589db17d977682)
+++ src/UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.hpp	(revision 8b59ddd233f0c59db6375c4778cb46d1b338b803)
@@ -135,10 +135,4 @@
   //!> container with all ObservedValues for each molecule, associated by id
   ObservedValuesContainer<QtObservedMolecule, moleculeId_t> moleculeObservedValues;
-
-  //!> note down atom id of last removed atom to drop its ObservedValues
-  atomId_t lastremovedatom;
-
-  //!> note down molecule id of last removed molecule to drop its ObservedValues
-  moleculeId_t lastremovedmolecule;
 };
 
